package com.storlead.framework.web.exception;

import com.storlead.framework.web.message.MsgCode;

public class MsgCodeSupport implements MsgCode {

    private int code;
    private String message;

    public MsgCodeSupport(int code) {
        this(code, null);
    }

    public MsgCodeSupport(int code, String message) {
        this.code = code;
        this.message = message;
    }

    @Override
    public int code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }
}
